// tobruk_wall_sd.shader

textures/tobruk_wall_sd/tobruk_wall_base7_phong
{
	q3map_nonplanar
	q3map_shadeangle 135
	{
		map textures/tobruk_wall_sd/tobruk_wall_base7.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// egypt_trim_sd.shader 

textures/egypt_trim_sd/ctrim_c01
{
	surfaceparm woodsteps
	{
		map textures/egypt_trim_sd/ctrim_c01.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_trim_sd/ctrim_c03
{
	surfaceparm woodsteps
	{
		map textures/egypt_trim_sd/ctrim_c03.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_trim_sd/trim_c14
{
	surfaceparm woodsteps
	{
		map textures/egypt_trim_sd/trim_c14.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

// egypt_walls_sd.shader 

textures/egypt_walls_sd/stucco01_decor01_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map textures/egypt_walls_sd/stucco01_decor01.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/stucco01_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map textures/egypt_walls_sd/stucco01.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/stucco02_04blend
{
	q3map_nonplanar
	q3map_shadeangle 30
	{
		map textures/egypt_walls_sd/stucco02_04blend.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/stucco03
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/egypt_walls_sd/stucco03.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/stucco04
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/egypt_walls_sd/stucco04.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/stucco07a
{
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map textures/egypt_walls_sd/stucco07a.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/stucco07c
{
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map textures/egypt_walls_sd/stucco07c.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/wood_c05
{
	surfaceparm woodsteps
	{
		map textures/egypt_walls_sd/wood_c05.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/wood_c06
{
	surfaceparm woodsteps
	{
		map textures/egypt_walls_sd/wood_c06.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_walls_sd/wood_test
{
	surfaceparm woodsteps
	{
		map textures/egypt_walls_sd/wood_test.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

// goldrush.shader 
// modified to support lightmapping in RTCW
// https://web.archive.org/web/20100220213251/http://www.nibsworld.com/rtcw/tutorial_lightmapped_terrain.shtml

textures/goldrush/lmterrain_base
{
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 299 0 0 ) ( 0 299 0 )
}

textures/goldrush/lmterrain_0
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/temperate_sd/sand_bubbles_bright.tga
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_0to1
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/temperate_sd/sand_bubbles_bright.tga
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_0to2
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/temperate_sd/sand_bubbles_bright.tga
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_0to3
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/temperate_sd/sand_bubbles_bright.tga
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_1
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/desert_sd/pavement_quad_sandy.tga
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_1to2
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/desert_sd/pavement_quad_sandy.tga
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_1to3
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/desert_sd/pavement_quad_sandy.tga
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_2
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/desert_sd/pavement_tris_sandy.tga
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_2to3
{
	q3map_baseshader textures/goldrush/lmterrain_base
	q3map_lightimage textures/desert_sd/pavement_tris_sandy.tga
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/lmterrain_3
{
	q3map_baseshader textures/goldrush/lmterrain_base
	surfaceparm gravelsteps
	q3map_lightimage textures/desert_sd/road_dirty_gravel.tga
	{
		map textures/desert_sd/road_dirty_gravel.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/pavement_quad
{
	qer_editorimage textures/desert_sd/pavement_quad_sandy.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		blendFunc filter
		tcMod scale 1.75 1.75
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush/sandygrass_b_phong
{
	qer_editorimage textures/egypt_floor_sd/sandygrass_b.tga
	q3map_nonplanar
	q3map_shadeangle 135
	surfaceparm grasssteps
	{
		map textures/egypt_floor_sd/sandygrass_b.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/goldrush/camp_map
{
	qer_editorimage gfx/loading/camp_map.tga
	surfaceparm woodsteps
	{
		map gfx/loading/camp_map.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/goldrush/canvas_nondeform
{
	qer_editorimage textures/egypt_props_sd/siwa_canvas1.tga
	cull disable
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_canvas1.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// egypt_floor_sd.shader

textures/egypt_floor_sd/carpet_c02
{
	surfaceparm carpetsteps
	{
		map textures/egypt_floor_sd/carpet_c02.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_floor_sd/floor_c06
{
	surfaceparm woodsteps
	{
		map textures/egypt_floor_sd/floor_c06.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_floor_sd/sandy_dirt_01
{
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm gravelsteps
	{
		map textures/egypt_floor_sd/sandy_dirt_01.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_floor_sd/wood_c13
{
	surfaceparm woodsteps
	{
		map textures/egypt_floor_sd/wood_c13.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

// egypt_windows_sd.shader 

textures/egypt_windows_sd/windowtrim01
{
	cull disable
	nomipmaps
	surfaceparm metalsteps
	{
		map textures/egypt_windows_sd/windowtrim01.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// alpha.shader 

textures/alpha/chateau_c07_clipmissle
{
	qer_trans 0.85
	qer_editorimage textures/alpha/chateau_c07.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha/chateau_c07.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/alpha/chateau_c11_clipmissle
{
	qer_trans 0.85
	qer_editorimage textures/alpha/chateau_c11.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha/chateau_c11.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/alpha/chateau_c06a_clipmissle
{
	qer_trans 0.85
	qer_editorimage textures/alpha/chateau_c06a.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha/chateau_c06a.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/alpha/fence_c14_clipmissle
{
	qer_trans 0.85
	qer_editorimage textures/alpha/fence_c14.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha/fence_c14.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// egypt_door_sd.shader 

textures/egypt_door_sd/door_c05
{
	surfaceparm woodsteps
	{
		map textures/egypt_door_sd/door_c05.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_door_sd/siwa_door3
{
	surfaceparm woodsteps
	{
		map textures/egypt_door_sd/siwa_door3.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// tobruk_windows_sd.shader

textures/tobruk_windows_sd/tobruk_moucha1
{
	cull none
	nomipmaps
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/tobruk_windows_sd/tobruk_moucha1.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/tobruk_windows_sd/tobruk_shutterbrown
{
	surfaceparm woodsteps
	{
		map textures/tobruk_windows_sd/tobruk_shutterbrown.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/tobruk_windows_sd/tobruk_windows_bright
{
	qer_editorimage textures/tobruk_windows_sd/tobruk_windows_on2.tga
	q3map_surfacelight 120
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tobruk_windows_sd/tobruk_windows_on2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tobruk_windows_sd/tobruk_windows_on1.tga
		blendfunc GL_ONE GL_ONE
	}
}

// tobruk_roof_sd.shader MISSING
// desert_sd.shader MISSING

// doors.shader 

textures/doors/heavy_door_01
{
	surfaceparm metalsteps
	{
		map textures/doors/heavy_door_01.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

// skies.shader 

textures/skies/sd_goldrush
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_skylight 65 3
	q3map_sun 0.3 0.3 0.45 60 35 45
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}


	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

// skies_sd.shader 

textures/skies_sd/full_moon2
{
	cull none
	nofog
	{
		map textures/skies_sd/full_moon2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

// props_sd.shader 

textures/props_sd/wires
{

	cull disable
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/props_sd/wires.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/props_sd/wires01
{

	cull disable
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/props_sd/wires01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// egypt_props_sd.shader 

textures/egypt_props_sd/siwa_canvas1
{
	cull disable
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	tessSize 64
	{
		map textures/egypt_props_sd/siwa_canvas1.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_props_sd/siwa_carpet1
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_carpet1.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_props_sd/siwa_carpet1anim
{
	qer_editorimage textures/egypt_props_sd/siwa_carpet1.tga
	deformVertexes wave 30 sin 0 3 0 0.2
	surfaceparm alphashadow
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 64
	{
		map map textures/egypt_props_sd/siwa_carpet1.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/egypt_props_sd/siwa_carpet2
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_carpet2.tga 
		alphaFunc GE128
		rgbGen vertex
	}
}

// metals_sd.shader 

metals_sd/detail_b
{
	surfaceparm metalsteps
	{
		map metals_sd/detail_b.tga 
		alphaFunc GE128
		rgbGen vertex
	}
}

// models_mapobjects.shader 

models/mapobjects/tanks_sd/jagdpanther_full
{
	qer_editorimage models/mapobjects/tanks_sd/jagdpanther_full.tga
	{
		map models/mapobjects/tanks_sd/jagdpanther_full.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jagdpanther_additions_desert
{
	{
		map models/mapobjects/tanks_sd/jagdpanther_additions_desert.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/miltary_trim/metal_m05_wils
{
	qer_editorimage models/mapobjects/miltary_trim/metal_m05.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	{
		map models/mapobjects/miltary_trim/metal_m05.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

models/mapobjects/blitz_sd/blitz_sd_arches
{
	qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
	cull twosided
	{
		map models/mapobjects/blitz_sd/blitz_sd.tga
		rgbgen identity
	}
}

models/mapobjects/blitz_sd/blitz_sd_body
{
	qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
	{
		map models/mapobjects/blitz_sd/blitz_sd.tga
		rgbgen identity
	}
}

models/mapobjects/blitz_sd/blitz_sd_windows
{
	qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
	{
		map textures/effects/envmap_slate.tga
		rgbGen lightingDiffuse
		tcGen environment
	}
	{
		map models/mapobjects/blitz_sd/blitz_sd.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
}

models/mapobjects/goldbox_sd/goldbox
{
	qer_editorimage models/mapobjects/goldbox_sd/goldbox.tga
	surfaceparm metalsteps
	{
		map models/mapobjects/goldbox_sd/goldbox.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/lamps/bel_lamp2k_gm		// for misc_gamemodel
{
	qer_editorimage models/mapobjects/light/bel_lamp.tga
	q3map_lightimage models/colors/amber.tga
	q3map_surfaceLight 1000
	surfaceparm nomarks
	{
		map models/mapobjects/light/bel_lamp.tga
		rgbgen lightingDiffuse
	}
	{
		map models/mapobjects/light/bel_lamp.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/light/bel_lamp_gm		// for misc_gamemodels
{
	qer_editorimage models/mapobjects/light/bel_lamp.tga
	q3map_lightimage models/colors/amber.tga
	q3map_surfaceLight 5000
	surfaceparm nomarks
	{
		map models/mapobjects/light/bel_lamp.tga
		rgbgen lightingDiffuse
	}
	{
		map models/mapobjects/light/bel_lamp.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/light/bel_lampm_gm		// for misc_gamemodels
{
	qer_editorimage models/mapobjects/light/bel_lamp.tga
	q3map_lightimage models/colors/amber.tga
	q3map_surfaceLight 7000
	surfaceparm nomarks
	{
		map models/mapobjects/light/bel_lamp.tga
		rgbgen lightingDiffuse
	}
	{
		map models/mapobjects/light/bel_lamp.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/plants_sd/bush_desert1
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/bush_desert1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
    {
        map models/mapobjects/plants_sd/bush_desert1.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/bush_desert2
{ 
     qer_alphafunc greater 0.5 
     qer_editorimage models/mapobjects/plants_sd/bush_desert2.tga 
     cull disable 
     q3map_bounceScale 0.25
     surfaceparm alphashadow 
     surfaceparm nomarks 
     surfaceparm pointlight 
     surfaceparm trans 
     nopicmip 
    {
        map models/mapobjects/plants_sd/bush_desert2.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/grass_dry3
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/grass_dry3.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
    {
        map models/mapobjects/plants_sd/grass_dry3.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/grassfoliage1
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/grassfoliage1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map models/mapobjects/plants_sd/grassfoliage1.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/plants_sd/grass_green1
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/grass_green1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map models/mapobjects/plants_sd/grass_green1.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/barrel_sd/barrel_side
{
	qer_editorimage textures/props/barrel_m01.tga
	{
		map textures/props/barrel_m01.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/barrel_sd/barrel_top
{
	qer_editorimage textures/props/barrel_m02.tga
	{
		map textures/props/barrel_m02.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/vehicles/wagon/wag_whl
{
	cull twosided
	{
		map models/mapobjects/vehicles/wagon/wag_whl.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/props_sd/basketsand
{
	qer_editorimage textures/props_sd/basketsand.tga
    {
        map textures/props_sd/basketsand.tga
    }
}

models/mapobjects/tree_desert_sd/floorpalmleaf
{
	qer_editorimage models/mapobjects/tree_desert_sd/palm_leaf1.tga
	qer_alphafunc gequal 0.5
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaf1.tga
		alphaFunc GE128
	    rgbGen vertex
    }
}

models/mapobjects/tree_desert_sd/palm_leaf1
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaf1.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_desert_sd/palm_leaves
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaves.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_desert_sd/palm_leaves2
{
	cull twosided
	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaves2.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_temperate_sd/trunk_temperate
{
	surfaceparm nomarks
    {
        map models/mapobjects/tree_temperate_sd/trunk_temperate.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_temperate_sd/trunk_cut
{

	surfaceparm nomarks
    {
        map models/mapobjects/tree_temperate_sd/trunk_cut.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_temperate_sd/leaves_temperate1
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
    {
        map models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_temperate_sd/leaves_temperate2
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
    {
        map models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_temperate_sd/leaves_temperate3
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate3.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
    {
        map models/mapobjects/tree_temperate_sd/leaves_temperate3.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/light/chandlier4
{
	qer_alphafunc gequal 0.5
	cull disable
	surfaceparm nomarks
	{
		map models/mapobjects/light/chandlier4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

models/mapobjects/radios_sd/blue2
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/blue2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 1 0.8 9
	}
}

models/mapobjects/radios_sd/blue1
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/blue1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 1 0.2 12
	}
}

models/mapobjects/radios_sd/gold3
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/gold3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0 1 0 3
	}
}

models/mapobjects/radios_sd/gold2
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/gold2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 1 0.9 9
	}
}

models/mapobjects/radios_sd/gold1
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/gold1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0.2 0.8 0.5 13
	}
}

models/mapobjects/radios_sd/green5
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/green5.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise  0.25 0.75 0 8
	}
}

models/mapobjects/radios_sd/green4
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/green4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0.2 0.8 0 10

	}
}

models/mapobjects/radios_sd/green3
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/green3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 9 0.66 12
	}
}

models/mapobjects/radios_sd/green2
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/green2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 1 0.33 5
	}
}

models/mapobjects/radios_sd/green1
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/green1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 1 0.15 20
	}
}

models/mapobjects/radios_sd/red4
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/red4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 1 0.8 9
	}
}

models/mapobjects/radios_sd/red3
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/red3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0 1 0.2 12
	}
}

models/mapobjects/radios_sd/red2
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/red2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0 1 0 3
	}
}

models/mapobjects/radios_sd/red1
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/red1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave noise 0.5 0.5 0.5 10
	}
}

models/mapobjects/radios_sd/screen_broken
{
	polygonOffset
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/screen_broken.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}
}

models/mapobjects/radios_sd/screen_circle_fx
{
    qer_editorimage models/mapobjects/radios_sd/screen_circle_fx.tga
	surfaceparm nomarks
	polygonOffset

	
	{
			map models/mapobjects/radios_sd/radio_scroll1.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave noise 0.3 0.7 0 20
			tcMod scale  1 1.25
			
	
	}	
				
	{
			map models/mapobjects/radios_sd/radio_scroll2.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave noise 0.3 0.7 0 20
			tcMod scale  3.25 1.25
			tcMod scroll 2 0
	}	
			
	{
			map models/mapobjects/radios_sd/screen_circle_fx.tga
			blendfunc blend
			rgbGen lightingdiffuse
	}
	
	
}

models/mapobjects/radios_sd/screen_square_fx
{
    qer_editorimage models/mapobjects/radios_sd/screen_square_fx.tga
	surfaceparm nomarks
	polygonOffset

	{
		map models/mapobjects/radios_sd/radio_scroll1.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.3 0.7 0 20


	}	
			
	{
		map models/mapobjects/radios_sd/radio_scroll2.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.3 0.7 0 20
		tcMod scale  2 1
		tcMod scroll 3 0
	}	
		
	{
		map models/mapobjects/radios_sd/screen_square_fx.tga
		blendfunc blend
		rgbGen lightingdiffuse
	}
}

models/mapobjects/radios_sd/grid

{
    qer_editorimage models/mapobjects/radios_sd/grid.tga
    cull twosided
	surfaceparm nomarks
	{
		map models/mapobjects/radios_sd/grid.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

// alpha.shader

textures/alpha/bel_orn_m01
{
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	{
		map textures/alpha/bel_orn_m01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

// mapfx.shader

textures/mapfx/translucent_red
{
	qer_editorimage textures/common/dirtymirror.tga
	cull none
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

